Subject: RE: substantive comments on Technology Rights

From: "Contreras, Jorge" <[email-masked]>
Date: Tue, 25 Feb 2003 22:22:50 -0500

These are some well-thought-out suggestions.  See some thoughts below:

> 6.4 
>   I suggest the following:
> 
>     The disclosure should list the numbers of any issued or published
>     patents and indicate whether the claim is based on unpublished
>     patent applications.  The disclosure should also list the specific
>     IETF documents or activity affected.  An Internet Draft must be
>     referenced by specific version number.  If it is expected that the
>     disclosure will also be relevant to future versions of an Internet
>     Draft, that can be noted, for example by saying "It is 
> expected that
>     this disclosure will also cover future versions of this Internet
>     Draft".
> 
>   Note this is consistent with 2026 and prior IETF practice.  
> Requiring
>   more specificity could be considered to be a new practice, not a
>   clarification of existing practice.

I think that there is probably a middle ground here.  While the portion of an I-D covered by a disclosed patent might be clear in some cases without listing section numbers, it might not in some cases.  I could envision a lengthy I-D that included multiple component parts, in which case it would be helpful for a patent discloser to state which part his/her patent applied to.  Perhaps we could add the following to the end of Scott's proposed language (which I otherwise like):

"In addition, if an I-D includes multiple parts and it is not reasonably apparent which part of such I-D is alleged to be covered by the claims of a disclosed patent or patent application, the discloser should list the section number(s) of the I-D that are alleged to be so covered."

> 
> 
> Re Section 6.5:
> 
>   Proposal:
> 
>     Since IPR disclosures will be used by IETF working groups during
>     their evaluation of alternative technical solutions, an IPR
>     disclosure should include information about licensing of 
> the IPR in case implementation of the technology described in the 
> final RFC is judged to require a license.  Specifically, it should indicate
>     whether, upon approval by the IESG of the relevant Internet
>     standards track specification(s), all persons will be 
> able to obtain the right to implement, use, distribute and exercise other rights
>     with respect to an Implementing Technology under openly specified,
>     reasonable, non-discriminatory terms.  

I agree that Scott's suggestion adds needed clarity to a WG deliberation over IPR.  However, in some cases it may not be feasible to ask IPR disclosers to offer licensing terms.  One compromise that has been suggested is for this requirement to apply to disclosures under 6.1.1 (by the contributor) and possibly under 6.1.2 (by other IETF participants).  However, it seems difficult to impose this requirement on third party disclosures.
> 
> 
> Re 6.6:
> 
>   Current:
> 
>     Disclosures are required whenever enforcement of the IPR claim in
>     question would directly or indirectly benefit the individual or
>     their employer or sponsor (if any) and where enforcement of the
>     claimed IPR would have any effect on the ability to implement a
>     technology under discussion in the IETF.
> 
>   "Benefit" is extremely hard to define, as is "any effect".  Keep it
>   simple here, and give the lawyers less to argue about.  Keep the
>   issues in the IPR claims themselves.  "Practice" is a 
> well-understood
>   legal term.
> 
>   Proposal:
> 
>     Disclosures are required whenever a license under any 
> claims of the
>     patent or patent application would be required to practice the
>     standard.  
> 
There are two separate points embedded in this suggestion.  The first is a replacement of the term "would have any effect on the ability to implement" with "would be required to practice".  I think this is an excellent suggestion, for the reasons put forward by Scott.

The second point relates to the removal of the "benefit" language.  While I agree that "benefit" is hard to define and could probably be improved, this is the only place that ties the IPR being disclosed to the discloser.  Essentially, this language requires that an IETF participant disclose IPR that it owns, that its employer/sponsor owns, or in which they have some other beneficial interest.  It does NOT require that the IETF participant disclose third party IPR of which it might have knowledge, but from which it does not directly benefit.  Remember that the disclosure of 3rd party IPR is optional (under 6.1.3) but not required (under 6.1.1 or 6.1.2).  Thus, the removal of this language, as suggested by Scott, would open the door to requiring the disclosure of 3rd party IPR known to the participant.  While there is a certain logic to this requirement, it is well beyond current practice.

To fix the "benefit" language without eliminating the concept, perhaps we could say:

"Disclosures are required whenever the IPR in question is owned or exclusively licensed, directly or indirectly, by the individual or his/her employer or sponsor (if any) or otherwise inures to the benefit of such persons, and a license under any claims of the patent or patent application would be required to practice the standard disclosed in the IETF document." 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 25 Feb 2003 20:09:57 -0800

Hi -

> From: "Contreras, Jorge" <[email-masked]>
> To: "Scott W Brim" <[email-masked]>; <[email-masked]>
> Sent: Tuesday, February 25, 2003 7:22 PM
> Subject: RE: substantive comments on Technology Rights
...
> "In addition, if an I-D includes multiple parts and it is not reasonably
> apparent which part of such I-D is alleged to be covered by the claims
> of a disclosed patent or patent application, the discloser should list the
> section number(s) of the I-D that are alleged to be so covered."
...
Section numbers tend to change.  I suggest replacing "list the section
number(s)" with the more generic "identify the sections", allowing someone
to identify them by title or other description.

Randy

---

From: Scott W Brim <[email-masked]>
Date: Wed, 26 Feb 2003 12:09:34 -0500

In response to Jorge:

> > 6.4 I suggest the following:
> >
> >     The disclosure should list the numbers of any issued or
> >     published patents and indicate whether the claim is based on
> >     unpublished patent applications.  The disclosure should also
> >     list the specific IETF documents or activity affected.  An
> >     Internet Draft must be referenced by specific version number.
> >     If it is expected that the disclosure will also be relevant to
> >     future versions of an Internet Draft, that can be noted, for
> >     example by saying "It is expected that this disclosure will also
> >     cover future versions of this Internet Draft".
> >
> >   Requiring more specificity could be considered to be a new
> >   practice, not a clarification of existing practice.
> 
> I think that there is probably a middle ground here.  While the
> portion of an I-D covered by a disclosed patent might be clear in some
> cases without listing section numbers, it might not in some cases.  I
> could envision a lengthy I-D that included multiple component parts,
> in which case it would be helpful for a patent discloser to state
> which part his/her patent applied to.  Perhaps we could add the
> following to the end of Scott's proposed language (which I otherwise
> like):
> 
> "In addition, if an I-D includes multiple parts and it is not
> reasonably apparent which part of such I-D is alleged to be covered by
> the claims of a disclosed patent or patent application, the discloser
> should list the section number(s) of the I-D that are alleged to be so
> covered."

This is fine with me.  In addition, Randy Presuhn said:

> number(s)" with the more generic "identify the sections", allowing
> someone to identify them by title or other description.

I like that too.  So the full paragraph would now look like:

  The disclosure should list the numbers of any issued or published
  patents and indicate whether the claim is based on unpublished patent
  applications.  The disclosure should also list the specific IETF
  documents or activity affected.  An Internet Draft must be referenced
  by specific version number.  If it is expected that the disclosure
  will also be relevant to future versions of an Internet Draft, that
  can be noted, for example by saying "It is expected that this
  disclosure will also cover future versions of this Internet Draft".
  In addition, if an I-D includes multiple parts and it is not
  reasonably apparent which part of such I-D is alleged to be covered by
  the claims of a disclosed patent or patent application, the discloser
  should identify the sections of the I-D that are alleged to be so
  covered.

OK?

> >     disclosure should include information about licensing of the IPR
> >     in case implementation of the technology described in the final
> >     RFC is judged to require a license.  Specifically, it should
> >     indicate whether, upon approval by the IESG of the relevant
> >     Internet standards track specification(s), all persons will be
> >     able to obtain the right to implement, use, distribute and
> >     exercise other rights with respect to an Implementing Technology
> >     under openly specified, reasonable, non-discriminatory terms.
> 
> I agree that Scott's suggestion adds needed clarity to a WG deliberation
> over IPR.  However, in some cases it may not be feasible to ask IPR
> disclosers to offer licensing terms.  One compromise that has been
> suggested is for this requirement to apply to disclosures under 6.1.1
> (by the contributor) and possibly under 6.1.2 (by other IETF
> participants).  However, it seems difficult to impose this requirement
> on third party disclosures.

Personally I'm reluctant to give up the blanket encouragement for
disclosing licensing terms.  Can we leave it as above, and depend on the
"should" to let off the third parties?  If, in son-of-IPR-WG, we require
disclosure to some degree, we can limit the scope of the requirement at
that time.  So our suggested modification stands as is.  OK?

> > Re 6.6:
> >
> >   Current:
> >
> >     Disclosures are required whenever enforcement of the IPR claim
> >     in question would directly or indirectly benefit the individual
> >     or their employer or sponsor (if any) and where enforcement of
> >     the claimed IPR would have any effect on the ability to
> >     implement a technology under discussion in the IETF.
> >
> >   "Benefit" is extremely hard to define, as is "any effect".  Keep
> >   it simple here, and give the lawyers less to argue about.  Keep
> >   the issues in the IPR claims themselves.  "Practice" is a
> >   well-understood legal term.
> >
> >   Proposal:
> >
> >     Disclosures are required whenever a license under any claims of
> >     the patent or patent application would be required to practice
> >     the standard.
> >
> There are two separate points embedded in this suggestion.  The first
> is a replacement of the term "would have any effect on the ability to
> implement" with "would be required to practice".  I think this is an
> excellent suggestion, for the reasons put forward by Scott.

Good :-)

> The second point relates to the removal of the "benefit" language.
> While I agree that "benefit" is hard to define and could probably be
> improved, this is the only place that ties the IPR being disclosed to
> the discloser.  Essentially, this language requires that an IETF
> participant disclose IPR that it owns, that its employer/sponsor owns,
> or in which they have some other beneficial interest.  It does NOT
> require that the IETF participant disclose third party IPR of which it
> might have knowledge, but from which it does not directly benefit.
> Remember that the disclosure of 3rd party IPR is optional (under
> 6.1.3) but not required (under 6.1.1 or 6.1.2).  Thus, the removal of
> this language, as suggested by Scott, would open the door to requiring
> the disclosure of 3rd party IPR known to the participant.  While there
> is a certain logic to this requirement, it is well beyond current
> practice.
> 
> "Disclosures are required whenever the IPR in question is owned or
> exclusively licensed, directly or indirectly, by the individual or
> his/her employer or sponsor (if any) or otherwise inures to the
> benefit of such persons, and a license under any claims of the patent
> or patent application would be required to practice the standard
> disclosed in the IETF document."

In that case, an usable objective metric would be whether they have
rights (as oppose to whether they "benefit"), no?  How about changing
benefits/inures to:

  "Disclosures are required whenever the IPR in question is owned or
  exclusively licensed, directly or indirectly, by the individual or
  his/her employer or sponsor (if any) or such persons otherwise have
  the right to license or enforce, and a license under any claims of the
  patent or patent application would be required to practice the
  standard disclosed in the IETF document."

I'm not against yours, and yours is acceptable.  I'm just offering yet
more improvement.  If you want yours, okay.

Thanks ... Scott (Brim)

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 28 Feb 2003 03:33:54 +0800

>   should identify the sections of the I-D that are alleged to be so

I'd like to not try to predict the future; since one possible response to 
the publication of IPR is to attempt to make the IPR irrelevant to the 
draft, I think the rights holder should be expected to evaluate later 
versions anyway.

I suggest dropping the "If it is expected..." sentence.
I'm fine with the rest.

---

From: "Robert Barr " <[email-masked]>
Date: Thu, 27 Feb 2003 13:56:11 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Harald Tveit Alvestrand
> Sent: Thursday, February 27, 2003 11:34 AM
> To: Scott W Brim; [email-masked]
> Subject: Re: substantive comments on Technology Rights
> 
> 
> 
> 

We need to instruct IPR disclosers  how to deal with successive drafts,
where the title of the draft includes an mumber like-001. I don't think
we should require a new disclosure for every draft unless the substance
of the disclosure changes. The current appraoch seems to be to use -nnn
instead of the number.

---

From: Scott Bradner <[email-masked]>
Date: Fri, 28 Feb 2003 11:17:05 -0500 (EST)

> of the disclosure changes. The current appraoch seems to be to use -nnn

your view was my intent - I'll check thr wording to be sure that its clear

Scott